VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Main"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Visible         =   0   'False
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'-------------------------------------------------------------------------------------
'API Declaratie om Systeemdirectory te verkrijgen
'-------------------------------------------------------------------------------------
Private Declare Function GetSystemDirectory Lib "kernel32.dll" Alias "GetSystemDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long

'-------------------------------------------------------------------------------------
'API Declaraties om OCX te registreren en te unregistreren
'-------------------------------------------------------------------------------------
Private Declare Function RegAdTextBox Lib "AdTextBox.OCX" Alias "DllRegisterServer" () As Long
Private Declare Function UnRegAdTextBox Lib "AdTextBox.OCX" Alias "DllUnregisterServer" () As Long
Const ERROR_SUCCESS = &H0


'-------------------------------------------------------------------------------------
'Installatievariabelen
'-------------------------------------------------------------------------------------
Const InstFile As String = "\adtextbox.ocx"
Public FileSource As String
Public FileTarget As String

'-------------------------------------------------------------------------------------
'Functie om Systeemdirectory op te roepen
'-------------------------------------------------------------------------------------
Private Function GetSysDir() As String
    Dim sysdir As String
    Dim slength As Long
    
    sysdir = Space(255)
    slength = GetSystemDirectory(sysdir, 255)
    sysdir = Left(sysdir, slength)
    GetSysDir = sysdir
End Function

Private Sub RegUnRegControl(Optional OptionRegister As Boolean = True)
    ChDir (GetSysDir)
    If OptionRegister Then
        If RegAdTextBox = ERROR_SUCCESS Then
            'Registration Successful"
        End If
    Else
        If UnRegAdTextBox = ERROR_SUCCESS Then
           'UnRegistration Successful"
        End If
    End If
End Sub

'-------------------------------------------------------------------------------------
'Form Code
'-------------------------------------------------------------------------------------
Private Sub Form_Load()
On Error Resume Next
    Call RegUnRegControl(False)
    FileSource = App.Path & InstFile
    FileTarget = GetSysDir & InstFile
    
    If Dir(FileSource) <> "" Then
        If Dir(FileTarget) <> "" Then
            Kill FileTarget
        End If
        FileCopy FileSource, FileTarget
        If Dir(FileTarget) <> "" Then
            msg = "Installation Succeeded"
            Call RegUnRegControl
            MsgBox msg, vbInformation, "OCX Installation"
        Else
            msg = "Installation failed"
            MsgBox msg, vbCritical, "OCX Installation"
        End If
    Else
        msg = "Source file " & Right(InstFile, Len(InstFile) - 1) & " not found"
        MsgBox msg, vbCritical, "OCX Installation"
    End If
    Unload Me
End Sub
